#mobileAppContainer {
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden;
}

#mobileAppContainer.home {
    background: linear-gradient(to bottom, #29083f, #765491);
}

/* Hintergrund für das Bild und die Kreise */
.image-circle {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 40vh;
    background-image: url('https://amoradates.de/wp-content/uploads/adbg.jpg');
    background-size: cover;
    background-position: top center;
    clip-path: ellipse(70% 100% at 50% 0%);
    z-index: 1;
}

.circle1 {
    position: absolute;
    top: 20%;
    left: -140px;
    width: 300px;
    height: 330px;
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 50%;
    z-index: 0;
}

.circle2 {
    position: absolute;
    top: 25%;
    left: 0%;
    transform: translateX(-35%);
    width: 400px;
    height: 400px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 50%;
    z-index: 0;
}

.main-content {
    position: absolute;
    top: 40vh;
    left: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    z-index: 2;
}

.text-content {
    text-align: center;
    color: white;
    margin-bottom: 20px;
}

.text-content h1 {
    font-size: 2.5rem;
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text-content h1::before {
    content: "\f004";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 3.5rem;
    color: white;
    margin-bottom: 10px;
}

.text-content p {
    font-size: 1.6rem;
    margin-bottom: 20px;
}

.main-buttons {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.button {
    display: block;
    width: 220px;
    padding: 12px;
    margin: 5px auto;
    border-radius: 10px;
    font-size: 1.8rem;
    cursor: pointer;
    text-align: center;
    border: none;
}

.login-btn {
    background-color: white;
    color: #6e5480;
}

.signup-btn {
    background-color: transparent;
    color: white;
    border: 2px solid white;
}

.divider {
    display: flex;
    align-items: center;
    margin: 20px 0;
    position: absolute;
    bottom: 70px;
    width: 70%;
    justify-content: center;
    z-index: 3;
    left: 50%; /* Zuerst auf die Mitte des Viewports setzen */
    transform: translateX(-50%); /* Horizontal zentrieren */
}

.divider::before, .divider::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #ccc;
}

.divider::before {
    margin-right: 10px;
    max-width: 100px;
}

.divider::after {
    margin-left: 10px;
    max-width: 100px;
}

.divider-text {
    font-size: 1.1rem;
    color: #ffffff;
    text-align: center; /* Text zentriert */
}

.social-login {
    display: flex;
    justify-content: center;
    gap: 20px;
    position: absolute;
    bottom: 35px;
    width: 100%;
}

.icons-circle {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background-color: none;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    transition: box-shadow 0.3s ease;
}

.icons-circle i {
    font-size: 20px !important;
    color: white;
}

.icons-circle:hover {
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.25);
}

@media (max-width: 768px) {
    .text-content h1 {
        font-size: 2rem;
    }

    .text-content h1::before {
        font-size: 3rem;
    }
}

@media (max-width: 480px) {
    .text-content h1 {
        font-size: 2.8rem;
    }

    .text-content h1::before {
        font-size: 2.5rem;
    }

    .social-icons img {
        width: 30px;
    }
}